Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.tpc.sip.management
Interface TPCMBean

public interface TPCMBean

Runtime MBean to configure the third party call control plugin.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `chargingAllowed` Specifies if charging is allowed or not
`static String` | `controllerURI` Specifies the third party call controller URI
`static int` | `DEFAULT_TIMER_INTERVAL`
`static String` | `ISCRouteURI` Specifies the IMS service control route URI
`static int` | `maximumCallLength` Specifies the maxium call duration allowed in minutes Format: int
`static int` | `statusRetentionTime` Specifies the length of time in minutes to retain status after the termination of the call

Method Summary
`boolean` | `getChargingAllowed()` Get boolean value to allow charging or not.
`String` | `getControllerURI()` Get Controller URI
`int` | `getEraseTimerInterval()` Get Erase TimerInterval.
`String` | `getISCRouteURI()` Get ISC RouteURI
`int` | `getMaximumCallLength()` Get Max long time of call.
`int` | `getStatusRetentionTime()` Get status Retention Time.
`void` | `setChargingAllowed(boolean allowed)` Set boolean value to allow charging or not.
`void` | `setControllerURI(String name)` Set Controller URI
`void` | `setEraseTimerInterval(int interval)` Set Erase TimerInterval.
`void` | `setISCRouteURI(String s)` Set ISC RouteURI
`void` | `setMaximumCallLength(int minutes)` Set Max long time of call.
`void` | `setStatusRetentionTime(int t)` Set status Retention Time.

Field Detail

### chargingAllowed

    public static final boolean chargingAllowed

  Specifies if charging is allowed or not

  See Also:
    Constant Field Values

### controllerURI

    public static final String controllerURI

  Specifies the third party call controller URI

  See Also:
    Constant Field Values

### DEFAULT_TIMER_INTERVAL

    public static final int DEFAULT_TIMER_INTERVAL

See Also:
  Constant Field Values

### ISCRouteURI

    public static final String ISCRouteURI

  Specifies the IMS service control route URI

  See Also:
    Constant Field Values

### maximumCallLength

    public static final int maximumCallLength

  Specifies the maxium call duration allowed in minutes Format: int

  See Also:
    Constant Field Values

### statusRetentionTime

    public static final int statusRetentionTime

  Specifies the length of time in minutes to retain status after the termination of the call

  See Also:
    Constant Field Values

Method Detail

### getChargingAllowed

    public boolean getChargingAllowed()
                               throws ManagementException

  Get boolean value to allow charging or not.

  Returns:
    boolean value to allow charging or not
  Throws:
    `ManagementException,if` - get ChargingAllowed failed, throw ManagementException
    `ManagementException`

### getControllerURI

    public String getControllerURI()
                            throws ManagementException

  Get Controller URI

  Returns:
    the Controller's URI
  Throws:
    `ManagementException,if` - Get Controller URI failed, throw ManagementException
    `ManagementException`

### getEraseTimerInterval

    public int getEraseTimerInterval()
                              throws ManagementException

  Get Erase TimerInterval. each interval time, Timer will check and remove expired call session from the StorageService tpc_sip_callsession_info. and then, the Callsession data also will be delete from database table.

  Returns:
    seconds of interval time
  Throws:
    `ManagementException,if` - get EraseTimerInterval failed, throw ManagementException
    `ManagementException`

### getISCRouteURI

    public String getISCRouteURI()
                          throws ManagementException

  Get ISC RouteURI

  Returns:
    Route URI
  Throws:
    `ManagementException`

### getMaximumCallLength

    public int getMaximumCallLength()
                             throws ManagementException

  Get Max long time of call.

  Returns:
    minutes of Max long time of call
  Throws:
    `ManagementException,if` - get MaximumCallLength failed, throw ManagementException
    `ManagementException`

### getStatusRetentionTime

    public int getStatusRetentionTime()
                               throws ManagementException

  Get status Retention Time. During this time, call session status will be remained.

  Returns:
    Status Retention time, unit is second
  Throws:
    `ManagementException,` - if get retention Time failed, throw ManagementException
    `ManagementException`

### setChargingAllowed

    public void setChargingAllowed(boolean allowed)
                            throws ManagementException

  Set boolean value to allow charging or not.

  Parameters:
    `allowed` - value true express allowed
  Throws:
    `ManagementException,` - if set ChargingAllowed failed, throw ManagementException
    `ManagementException`

### setControllerURI

    public void setControllerURI(String name)
                          throws ManagementException

  Set Controller URI

  Parameters:
    `name` - of the Controller's URI
  Throws:
    `ManagementException,if` - Set Controller URI failed, throw ManagementException
    `ManagementException`

### setEraseTimerInterval

    public void setEraseTimerInterval(int interval)
                               throws ManagementException

  Set Erase TimerInterval. refer to getEraseTimerInterval() method

  Parameters:
    `interval` - time, unit is second.
  Throws:
    `ManagementException,if` - set EraseTimerInterval failed, throw ManagementException
    `ManagementException`

### setISCRouteURI

    public void setISCRouteURI(String s)
                        throws ManagementException

  Set ISC RouteURI

  Parameters:
    `s` - use s to set ISC route URI
  Throws:
    `ManagementException,if` - set ISCRoute URI failed, throw ManagementException
    `ManagementException`

### setMaximumCallLength

    public void setMaximumCallLength(int minutes)
                              throws ManagementException

  Set Max long time of call. if get to the Max length,call will be terminated automatically.

  Throws:
    `ManagementException,if` - set MaximumCallLength failed, throw ManagementException
    `ManagementException`

### setStatusRetentionTime

    public void setStatusRetentionTime(int t)
                                throws ManagementException

  Set status Retention Time. During this time, call session status will be remained.

  Parameters:
    `t` - status will remain t seconds
  Throws:
    `ManagementException,if` - set retention Time failed, throw ManagementException
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD